import { Moment } from "moment"

export function showToast(msg: String, type?: String, otherProps?: Object): void

export function randomDate(start: Moment, end: Moment): Moment

export declare function randomColor(options?: RandomColorOptionsSingle): string
export declare function randomColor(options?: RandomColorOptionsMultiple): string[]

interface RandomColorOptionsSingle {
  hue?: number | string | undefined
  luminosity?: "bright" | "light" | "dark" | "random" | undefined
  seed?: number | string | undefined
  format?: "hsvArray" | "hslArray" | "hsl" | "hsla" | "rgbArray" | "rgb" | "rgba" | "hex" | undefined
  alpha?: number | undefined
}

interface RandomColorOptionsMultiple extends RandomColorOptionsSingle {
  count: number
}

export as namespace randomColor

export function sleep(ms: Number): Promise<void>
